package com.boco.nbd.wios.flow.enums;

import java.util.Arrays;

/**
 * @author:cao hai
 * @date:2022/8/8 10:29
 * @version:V1.0
 * @description:RegionLevelEnum
 * @modify:
 */
public enum RegionLevelEnum {

    /**
     * 区域枚举
     */
    COUNTRY(1), AREA(2), PROVINCE(3), REGION(4), CITY(5);

    RegionLevelEnum(Integer key) {
        this.key = key;
    }

    public Integer getKey() {
        return key;
    }

    public void setKey(Integer key) {
        this.key = key;
    }

    /**
     * 枚举
     */
    private Integer key;

    /**
     * 根据code获取枚举
     */
    public static RegionLevelEnum getByCode(Integer key) {
        return Arrays.stream(RegionLevelEnum.values()).filter(v -> v.getKey().equals(key)).findFirst().orElse(null);
    }
}
